XKBCLI-INTERACTIVE-X11(1)

NAME
xkbcli-interactive-x11 - interactive debugger for X Keyboard keymaps

SYNOPSIS
xkbcli-interactive-x11 [options]

DESCRIPTION
xkbcli-interactive-x11 is a commandline tool to interactively debug XKB keymaps by listening to X11 events.

This requires an X server to be running.

Press the <Escape> key to exit.

This is a debugging tool, its behavior or output is not guaranteed to be stable.

--help
    Print help and exit

--local-state
    Enable local state handling and ignore modifiers/layouts state updates from the X11 server.

--keymap [PATH]
    Load the XKB keymap from a file instead of the keymap from the compositor. It implies --local-state . If PATH is empty or “-”, read the stdin.

--format keymap_format
    Specify the keymap format (numeric or label, e.g. “v1”)

--enable-compose
    Enable Compose functionality

--verbose
    Enable verbose debugging output

-1, --uniline
    Enable uniline event output

--multiline
    Enable multiline event output

SEE ALSO
xkbcli(1), xkbcli-interactive-evdev(1), xkbcli-interactive-wayland(1), The libxkbcommon online documentation: https://xkbcommon.org